Subject: Re: [BUG?] Detaching head at checked out point does not work.

From: Junio C Hamano <[email-masked]>
Date: Sat, 12 May 2007 11:26:53 -0700

Jan Hudec <[email-masked]> writes:

> Hello,
>
> I can correctly detach head by saying:
>
>   git checkout master^0
>
> (or git checkout master^{} or git checkout refs/heads/master), but NONE of
> these work, if I currently have master checked out. Shouldn't it detach
> anyway?

Yes, and it does as far as I know.

Do you have 3e0318a3?

commit 3e0318a3613ae8e89dcb1fc39d909145e64287b9
Author: Junio C Hamano <[email-masked]>
Date:   Thu Mar 29 01:02:50 2007 -0700

    checkout: allow detaching to HEAD even when switching to the tip of a branch
    
    You cannot currently checkout the tip of an existing branch
    without moving to the branch.
    
    This allows you to detach your HEAD and place it at such a
    commit, with:
    
        $ git checkout master^0
    
    Signed-off-by: Junio C Hamano <[email-masked]>